'use strict';

var angular = require('angular');
require('../modules');

var module = angular.module('gesturepassword.services');

module.factory('GestureScreenPasswordService', function() {

  var  gestureScreenLocalforageService = {

    setPassword: function(userId, password) {
      localStorage.setItem('gesturepassword' + '_' + userId, password);
    },

    getPassword: function(userId) {
      return localStorage.getItem('gesturepassword' + '_' + userId);
    }
  };

  return gestureScreenLocalforageService;
});
